###

#

MutablePixelConcept< P > Struct Template Reference
Pixel » Concepts

Pixel concept that allows for changing its channels. More...

`#include <pixel.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

template<typename P>
struct boost::gil::MutablePixelConcept< P >

Pixel concept that allows for changing its channels.

concept MutablePixelConcept<PixelConcept P> : MutableColorBaseConcept<P>
{
where is_mutable==true;
};
boost::gil::MutableColorBaseConcept
Color base which allows for modifying its elements.
Definition: concepts/color_base.hpp:184
boost::gil::MutablePixelConcept
Pixel concept that allows for changing its channels.
Definition: concepts/pixel.hpp:102
boost::gil::PixelConcept
Pixel concept - A color base whose elements are channels.
Definition: concepts/pixel.hpp:64

The documentation for this struct was generated from the following file:

- concepts/pixel.hpp